/**
 * # Slug to Camel case Title
 */
export default function slugToCamelTitle(text: String) {
    if (text) {
        let addArray = text.split("-").filter((item) => item !== "");
        let camelArray = addArray.map((item) => {
            return (
                item.substring(0, 1).toUpperCase() +
                item.substring(1).toLowerCase()
            );
        });

        let parsedAddress = camelArray.join(" ");

        return parsedAddress;
    } else {
        return null;
    }
}
